## org.apache.commons.math.util
Class BigRealField.LazyHolder

    java.lang.Object
      org.apache.commons.math.util.BigRealField.LazyHolder

Enclosing class:
  BigRealField

    private static class BigRealField.LazyHolder

extends java.lang.Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

Field Summary
`private static BigRealField` `INSTANCE` Cached field instance.

Constructor Summary
`private` `BigRealField.LazyHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    private static final BigRealField INSTANCE

  Cached field instance.

Constructor Detail

### BigRealField.LazyHolder

    private BigRealField.LazyHolder()

Copyright (c) 2003-2011 Apache Software Foundation